
unless node['systemd']['resolved'].nil?

  service 'systemd-timesyncd' do
    action [:enable, :start]
    supports status: true, restart: true, reload: true
  end

  execute 'set LLMNR /etc/systemd/resolved.conf' do
    command "sed -i 's/.*LLMNR=.*/LLMNR=#{node['systemd']['resolved']['LLMNR']}/g' /etc/systemd/resolved.conf"
    not_if do
      cmd = Mixlib::ShellOut.new("grep -q '^LLMNR=#{node['systemd']['resolved']['LLMNR']}' /etc/systemd/resolved.conf")
      cmd.run_command
      cmd.status
    end
    notifies :reload, 'service[systemd-resolved]', :immediately
  end

  execute 'set DNS /etc/systemd/resolved.conf' do
    command "sed -i 's/^\(#\?\)DNS=.*/DNS=#{node['systemd']['resolved']['DNS'].join(' ')}/g' /etc/systemd/resolved.conf"
    not_if do
      cmd = Mixlib::ShellOut.new("grep -q '^DNS=#{node['systemd']['resolved']['DNS'].join(' ')}' /etc/systemd/resolved.conf")
      cmd.run_command
      cmd.status
    end
    notifies :reload, 'service[systemd-resolved]', :immediately
  end

end
