
unless node['systemd']['timesyncd'].nil?

  service 'systemd-timesyncd' do
    action [:enable, :start]
    supports status: true, restart: true, reload: true
  end

  execute 'set NTP /etc/systemd/timesyncd.conf' do
    command "sed -i /etc/systemd/timesyncd.conf '/NTP=/s/.*/NTP=#{node['systemd']['timesyncd']['servers'].join(' ')}/'"
    not_if do
      cmd = Mixlib::ShellOut.new("grep -q '^NTP=#{node['systemd']['timesyncd']['servers'].join(' ')}' /etc/systemd/timesyncd.conf")
      cmd.run_command
      cmd.status
    end
    notifies :reload, 'service[systemd-timesyncd]', :immediately
  end
end
